<?php
/*
Plugin Name: TablePress 扩展：修改 DataTables 字符串
Plugin URI: http://cnzhx.net/blog/tablepress-ext_change-datatables-strings/
Description: TablePress 自定义扩展，目的是修改其中 DataTables JS 库的字符串（Custom Extension for TablePress to change strings in the DataTables JS library）
Version: 1.0
Author: Tobias Bäthge（水景一页修改）
Author URI: http://tobias.baethge.com/
*/

add_action( 'tablepress_datatables_language_file', 'tablepress_change_datatables_language_file', 10, 3 );

function tablepress_change_datatables_language_file( $language_file, $datatables_locale, $path ) {
	$changed_language_file = plugin_dir_path( __FILE__ ) . "lang-{$datatables_locale}.js";
	if ( file_exists( $changed_language_file ) )
		$language_file = $changed_language_file;
	return $language_file;
}